/*-- common css --*/

:root {

	/*font-size*/
	--font-size-13: .8125rem;
	--font-size-14: .875rem;
	--font-size-15: .9375rem;
	--font-size-18: 1.125rem;
	--font-size-17: 1.0625rem;
	--font-size-20: 1.25rem;
	--font-size-22: 1.375rem;
	--font-size-24: 1.5rem;
	--font-size-26: 1.625rem;
	--font-size-28: 1.75rem;
	--font-size-30: 1.875rem;
	--font-size-36: 2.25rem;
	--font-size-40: 2.5rem;
	--font-size-45: 2.8125rem;
	--font-size-50: 3.125rem;
	--font-size-60: 3.75rem;
	--font-size-80: 5rem;
	--font-size-90: 5.625rem;
	--font-size-100: 6.25rem;
	--font-size-120: 7.5rem;
	--font-size-140: 8.75rem;
	--font-size-160: 10rem;
	--font-size-180: 11.25rem;
	--font-size-400: 25rem;
	--font-size-420: 26.25rem;

	/*font-weight*/
	--font-weight-200: 200;
	--font-weight-400: 400;
	--font-weight-500: 500;
	--font-weight-600: 600;
	--font-weight-700: 700;
	--font-weight-bold: bold;

	/*color*/
	--color-1: #d92620;
}

body::selection, body *::selection{background-color: var(--color-1);}

/*container*/
.mainWrap{background-color: #000;overflow-x: hidden;}

.common-container{width: 95%;margin: 0 auto;}

.main-inner{padding: 0 2.5%;padding-top: 76vh;position: relative;z-index: 100;}

.main-section{padding: 200px 0;}

@media screen and (max-width: 1920px){

	.main-inner{padding-top: 73.9vh;}
}

@media screen and (max-width: 1480px){

	.main-inner{padding-top: 82.5vh;}
}

@media screen and (max-width: 1080px){

	.main-inner{padding-top: 89.5vh;}
}

@media screen and (max-width: 960px){

	.main-section{padding: 150px 0;}
}

@media screen and (max-width: 720px){

	.common-container{width: 90%;}

	.main-inner{padding: 0 5%;padding-top: 72vh;}
}

/*title*/
.visual-title .code-deco{margin-bottom: -3vh;}

.visual-title h2{display: flex;flex-direction: column;align-items: flex-end;width: 100%;row-gap: 8px;font-size: 12.513vw;font-weight: 700;color: #FFF;line-height: .9;}
.visual-title h2 span{white-space: nowrap;}
.visual-title h2 span:first-child{width: 100%;height: 1em;letter-spacing: -0.025em;text-align: justify;}
.visual-title h2 span:first-child::after{content: '';display: inline-block;width: 100%;}

.visual-title h2 span:nth-child(2){display: block;position: relative;}
.visual-title h2 .spin-text{position: absolute;top: -1px;left: -130px;width: 100px;height: 100px;display: flex;align-items: center;justify-content: center;
	-webkit-animation: spin-text 15s linear 0s infinite normal;	
	animation: spin-text 15s linear 0s infinite normal;
}
.visual-title h2 .spin-text img{display: block;width: 100%;}

.visual-text{position: absolute;top: 150px;left: 2.5%;width: 95%;color: #FFF;font-size: 3.5vw;line-height: 110%;font-weight: 400;}

.main-title h4{font-size: var(--font-size-100);font-weight: var(--font-weight-400);color: #FFF;line-height: 100%;}
.main-title p{font-size: var(--font-size-20);line-height: 195%;color: #FFF;margin-top: 50px;margin-bottom: 39px;}

@media screen and (max-width: 1921px){

	.visual-title h2 .spin-text{top: 0;left: -110px;width: 80px;height: 80px;}
}

@media screen and (max-width: 1480px){

	.visual-title .code-deco{margin-bottom: -2vh;}

	.visual-title h2 .spin-text{left: -95px;width: 70px;height: 70px;}

	.visual-text{font-size: 4vw;line-height: 120%;}
}

@media screen and (max-width: 1080px){

	.visual-title .code-deco{margin-bottom: -1vh;}

	.visual-text{line-height: 130%;}
}

@media screen and (max-width: 960px){

	.main-title h4{font-size: 65px;}

	.visual-title h2 .spin-text{top: 5px;left: -65px;width: 50px;height: 50px;}
}

@media screen and (max-width: 720px){

	.main-title h4{font-size: 45px;}
	.main-title p{font-size: 14px;}

	.visual-title .code-deco{margin-bottom: -2px;}

	.visual-title h2{display: block;font-size: 60px;line-height: 100%;}
	.visual-title h2 span{letter-spacing: 0 !important;}

	.visual-title h2 span:nth-child(2){margin-top: 5px;padding-left: 43px;}
	.visual-title h2 .spin-text{top: 3px;left: 0;width: 35px;height: 35px;}

	.visual-text{top: 100px;left: 5%;width: 90%;font-size: 16px;line-height: 140%;font-weight: 500;}
}

/*text*/
.code-deco{display: flex;align-items: center;gap: 4px;font-size: var(--font-size-15);color: #FFF;position: relative;z-index: 100;}
.code-deco i{font-size: 1.2em;}
.code-deco b{font-size: 1.4em;}

/*info*/
.info-wrap{display: flex;align-items: flex-start;justify-content: space-between;color: #FFF;margin-top: 2.6vw;}
.info-rgt{display: flex;align-items: flex-start;column-gap: 100px;}
.info-lft{display: flex;flex-direction: column;align-items: flex-end;row-gap: 61px;}

.info-box h4{font-size: var(--font-size-15);font-weight: var(--font-weight-500);margin-bottom: 13px;}
.info-box h4>a{display: flex;align-items: center;gap: 5px;}
.info-box h4 i{font-size: var(--font-size-18);transform: rotate(45deg);margin-top: -1px;}
.info-box p{font-size: var(--font-size-14);font-weight: var(--font-weight-200);line-height: 170%;}

.info-navi>ul{display: flex;}
.info-navi>ul>li>a{display: block;width: 100%;height: 100%;font-size: var(--font-size-15);font-weight: var(--font-weight-500);padding: 0 8px;}
.info-navi>ul>li:first-child>a{padding-left: 0;}
.info-navi>ul>li:last-child>a{padding-right: 0;}

.info-copy{font-size: var(--font-size-14);font-weight: var(--font-weight-200);line-height: 170%;}

@media screen and (max-width: 1680px){

	.info-wrap{margin-top: 70px;}
}

@media screen and (max-width: 1480px){

	.info-rgt{column-gap: 70px;}
	.info-lft{row-gap: 54.5px;}
}

@media screen and (max-width: 960px){

	.info-rgt{display: block;}
	.info-rgt .info-box + .info-box{margin-top: 50px;}
}

@media screen and (max-width: 720px){

	.info-wrap, .info-lft{display: block;}

	.info-rgt .info-box + .info-box, .info-lft{margin-top: 30px;}

	.info-box h4{margin-bottom: 10px;}
	.info-box h4>a, .info-navi>ul>li>a{font-size: 13px;}

	.info-copy{margin-top: 10px;opacity: .4;}
}

/*common link*/
.common-link-wrap{display: flex;}
.common-link{height: 65px;line-height: 63px;border-radius: 65px;border: 1px solid #FFF;font-size: var(--font-size-24);text-align: center;color: #FFF;padding: 0 41px;transition: all .25s ease;}

.common-link:hover{background-color: var(--color-1);border-color: var(--color-1);}

@media screen and (max-width: 1480px){

	.common-link{height: 60px;line-height: 58px;padding: 0 36px;}
}

@media screen and (max-width: 720px){

	.common-link{height: 50px;line-height: 48px;padding: 0 28px;font-size: 15px;}
}

/*common switch*/
.common-switch{display: flex;width: 150px;height: 45px;line-height: 43px;border-radius: 8px;padding: 2px;border: 1px solid #FFF;overflow: hidden;margin-bottom: 15px;position: relative;}
.common-switch::before{content: "";position: absolute;top: 3px;left: 3px;width: calc( ( 100% - 6px ) / 2 );height: calc( 100% - 6px );border-radius: 7px;background-color: #FFF;z-index: 1;transition: left .35s ease;}

.common-switch.switch::before{left: 50%;}

.common-switch button{display: flex;align-items: center;justify-content: center;flex: 1;border-radius: 7px;position: relative;z-index: 5;}
.common-switch button img{filter: brightness(0) invert(1);}

.common-switch button.on img{filter: none;}

/*port-folio*/
.port-wrap{margin-top: 150px;}

.port-list{display: flex;flex-wrap: wrap;gap: 18px;}
.port-list>li{width: calc( ( 100% - 54px ) / 4 );overflow: hidden;}
.port-list>li a{display: block;width: 100%;height: 100%;position: relative;}
.port-list>li a::before, .port-list>li a::after{content: "";position: absolute;top: 0;left: 0;width: 100%;height: 100%;z-index: 1;transition: opacity .4s ease;}
.port-list>li a::before{
	-webkit-background: linear-gradient(to top, rgba(0,0,0,.7), transparent 50%);
	background: linear-gradient(to top, rgba(0,0,0,.7), transparent 50%);
}
.port-list>li a::after{opacity: 0;
	-webkit-background: linear-gradient(to top, rgba(0,0,0,.9), transparent 90%);
	background: linear-gradient(to top, rgba(0,0,0,.9), transparent 90%);
}

.port-list>li figure{width: 100%;height: 100%;overflow: hidden;transition: .4s ease;}
.port-list>li figure img{display: block;width: 100%;}

#section-3 .port-list>li figure{height: auto;padding-bottom: 100%;
	background-size: cover;
    background-repeat: no-repeat;
    background-position: center;
}

.port-text{position: absolute;bottom: 20px;left: 25px;width: calc( 100% - 50px );z-index: 10;transition: .4s ease;}
.port-text h4{font-size: var(--font-size-24);font-weight: var(--font-weight-600);color: #FFF;}
.port-text h4 i{position: relative;}
.port-text h4 i::after{content: "";position: absolute;top: 0;height: 100%;z-index: 1;background-color: #fff;}
.port-text h4 span{opacity: 0;}
.port-text p{display: flex;align-items: center;gap: 13px;font-size: var(--font-size-14);font-weight: var(--font-weight-400);color: #FFF;margin-top: 15px;}
.port-text p span{position: relative;}
.port-text p span::after{content: "";position: absolute;top: 7px;right: -8px;width: 2px;height: 2px;border-radius: 2px;background-color: #FFF;z-index: 1;}
.port-text p span:last-child::after{display: none;}

.port-list>li:hover figure{border-radius: 50%;}
.port-list>li:hover a::before{opacity: 0;}
.port-list>li:hover a::after{opacity: 1;}

.port-list>li:hover .port-text h4 i::after{
	-webkit-animation: masking-ani 1s cubic-bezier(0.770, 0.000, 0.175, 1.000) forwards;
	animation: masking-ani 1s cubic-bezier(0.770, 0.000, 0.175, 1.000) forwards;
}
.port-list>li:hover .port-text h4 i span{opacity: 1;transition-delay: .4s !important;
	-webkit-transition: opacity .3s ease-in-out;
	transition: opacity .3s ease-in-out;
}

#port-story>li a{display: flex;align-items: flex-end;justify-content: flex-end;}
#port-story>li b{position: absolute;top: 20px;left: 25px;z-index: 10;font-size: var(--font-size-80);font-weight: var(--font-weight-700);color: #FFf;line-height: 105%;opacity: 0;transition: .25s ease;}
#port-story>li:hover b{opacity: 1;}
#port-story>li:hover figure{width: 90%;height: 90%;}

/*-- keyframes --*/
@-webkit-keyframes spin-text{ 
	0% {transform: rotate(0);}
	100% {transform: rotate(360deg);}
}

@keyframes spin-text{ 
	0% {transform: rotate(0);}
	100% {transform: rotate(360deg);}
}

@media screen and (max-width: 1860px){

	.port-wrap{margin-top: 50px;}
}

@media screen and (max-width: 1480px){

	#port-story>li b{font-size: var(--font-size-50);}
}

@media screen and (max-width: 1280px){

	.port-list{gap: 15px;}
	.port-list>li{width: calc( ( 100% - 30px ) / 3 );border-radius: 15px;}
}

@media screen and (max-width: 720px){

	.port-wrap{margin-top: 40px;}

	.port-list{gap: 10px;}
	.port-list>li{width: calc( ( 100% - 10px ) / 2 );border-radius: 8px;}

	.port-text{bottom: 15px;left: 10px;}
	.port-text h4{font-size: 14px;}
	.port-text p{margin-top: 13px;}
	.port-text p span:nth-child(2){display: none;}

	#port-story>li b{font-size: 28px;top: 15px;left: 10px;}
}

/*common motion*/
.masking-motion{position: relative;}
.masking-motion::before, .masking-motion::after{content: "";position: absolute;top: 0;height: 100%;z-index: 1;}
.masking-motion::before{right: 0;width: 100%;background-color: #000;}
.masking-motion::after{background-color: #fff;}

.motion-1, .motion-2, .motion-3{transition: transform 1s ease, opacity 1s ease;}
.motion-1{transform: translateY(30px);opacity: 0;}
.motion-2{transform: translateX(50px);opacity: 0;}
.motion-3{transform: translateX(-50px);opacity: 0;}

.main-start{transform: translateY(50px);opacity: 0;transition: all 1s ease;}
.main-start.on{transform: translateY(0);opacity: 1;}

.delay-1{transition-delay: .3s !important;}
.delay-2{transition-delay: .6s !important;}
.delay-3{transition-delay: .9s !important;}
.delay-4{transition-delay: 1.2s !important;}
.delay-5{transition-delay: 1.5s !important;}

.common_motion.on .masking-motion::before{width: 0;
	-webkit-transition: width 1s cubic-bezier(0.770, 0.000, 0.175, 1.000);
	transition: width 1s cubic-bezier(0.770, 0.000, 0.175, 1.000);
}
.common_motion.on .masking-motion::after{
	-webkit-animation: masking-ani 1s cubic-bezier(0.770, 0.000, 0.175, 1.000) forwards;
	animation: masking-ani 1s cubic-bezier(0.770, 0.000, 0.175, 1.000) forwards;
}

.common_motion.on .motion-1, .common_motion.on .motion-2, .common_motion.on .motion-3{transform: translateY(0);opacity: 1;}

@-webkit-keyframes masking-ani{
    0% {left: 0;width: 0;}
    50%{width: 100%}
    to{right: 0;width: 0;}
}

@keyframes masking-ani{
    0% {left: 0;width: 0;}
    50%{width: 100%}
    to{right: 0;width: 0;}
}

@media screen and (max-width: 720px){

	.masking-motion{display: block;}
}

/*-- header --*/
#header{position: fixed;top: 0;left: 0;width: 100%;height: 100px;z-index: 1000;}
.hd-con{display: flex;align-items: center;justify-content: space-between;height: 100%;position: relative;z-index: 900;}

.hd-right{display: flex;align-items: center;}

/*logo*/
.hd-logo a{display: block;width: 100%;height: 100%;font-size: var(--font-size-24);color: #FFF;font-weight: 500;letter-spacing: 0.045em;}
.hd-logo img{display: block;}

/*gnb*/
.hd-gnb>ul{display: flex;}
.hd-gnb>ul>li>a{display: block;width: 100%;height: 100%;line-height: 100px;color: #FFF;padding: 0 25px;font-size: var(--font-size-18);}

.hd-gnb.open{display: none;}

/*magnet-button*/
.magnet-wrap{position: relative;width: 24px;height: 100px;cursor: pointer;margin-left: 25px;}

.magnet-button{position: relative;width: 100%;height: 100%;}
.magnet-button span{position: absolute;top: 49px;left: 0;width: 100%;height: 2px;background-color: #FFF;transition: transform .2s ease;}
.magnet-button span:nth-child(1){transform: translateY(-3px);}
.magnet-button span:nth-child(2){transform: translateY(4px);}

.magnet-button.on span{width: 28px;left: -2px;}
.magnet-button.on span:nth-child(1){transform: rotate(45deg);}
.magnet-button.on span:nth-child(2){transform: rotate(-45deg);}

@media screen and (max-width: 1480px){

	.magnet-wrap{height: 90px;margin-left: 20px;}
	.magnet-button span{top: 44px;}
}

@media screen and (max-width: 1080px){

	.magnet-wrap{height: 80px;}
	.magnet-button span{top: 39px;}

	.magnet-button{transform: none !important;}
}

@media screen and (max-width: 720px){

	.magnet-wrap{height: 60px;margin-left: 15px;}
	.magnet-button span{top: 29px;}

	.magnet-button.on span{width: 22px;left: 1px;}
}

/*-- site map --*/
#siteMap-wrap{position: fixed;top: 0;left: 0;width: 100%;height: 100%;z-index: 800;display: none;}
.siteMap-inner{display: flex;align-items: center;justify-content: center;width: 100%;height: 100%;}
.siteMap-flex{display: flex;align-items: flex-end;justify-content: space-between;max-width: 960px;}

.siteMap-gnb>ul>li>a{display: block;width: 100%;height: 100%;font-size: var(--font-size-90);font-weight: var(--font-weight-400);color: #FFF;line-height: 133%;position: relative;transition: padding-left .65s ease;overflow: hidden;}
.siteMap-gnb>ul>li>a::before{content: "";position: absolute;top: 8px;left: 0;width: 70px;height: 70px;z-index: 1;opacity: 0;transition: opacity .65s ease;
	background-image: url(/img/icon/site_map.png);
	background-repeat: no-repeat;
	background-size: cover;
	background-position: center center;

	-webkit-animation: spin-text 3s linear 0s infinite normal;	
	animation: spin-text 3s linear 0s infinite normal;
}
.siteMap-gnb>ul>li>a>i{display: block;width: 100%;height: 100%;transform: translateY(100%);}
.siteMap-gnb>ul>li:hover>a{padding-left: 30px;}
.siteMap-gnb>ul>li:hover>a::before{opacity: 1;}

.siteMap-box{margin-top: 36px;border-bottom: 1px solid #FFF;padding-bottom: 30px;}
.siteMap-box:last-child{border: none;padding-bottom: 0;}
.siteMap-box>h4{font-size: var(--font-size-15);font-weight: 600;color: #FFF;margin-bottom: 8px;}
.siteMap-box>ul>li{font-size: var(--font-size-15);font-weight: 400;color: #666;line-height: 150%;}

.siteMap-menu{position: absolute;bottom: 4%;left: 2.5%;z-index: 1;}
.siteMap-menu>ul{display: flex;}
.siteMap-menu>ul::before{content: "";position: absolute;top: 3px;left: 0;width: 2px;height: 10px;background-color: #FFF;}
.siteMap-menu>ul>li>a{display: block;width: 100%;height: 100%;font-size: var(--font-size-14);font-weight: 600;color: #FFF;padding: 0 10px;position: relative;transition: color .2s ease;}
.siteMap-menu>ul>li>a::after{content: "";position: absolute;top: 3px;right: -1px;width: 2px;height: 10px;background-color: #FFF;}

.siteMap-menu>ul:hover>li>a{color: #666;}
.siteMap-menu>ul>li:hover>a{color: #FFF;}

.siteMap-copy{font-size: var(--font-size-14);font-weight: 500;color: #666;margin-top: 13px;}

.siteMap-rail-wrap{height: 100px;overflow: hidden;position: relative;z-index: -1;margin-left: 25px;opacity: 0;transition: opacity .4s ease;}
.siteMap-rail{display: flex;align-items: center;gap: 30px;width: 200%;height: 100%;
	-webkit-animation: text-to-left 20s linear infinite;
	animation: text-to-left 20s linear infinite;
}
.siteMap-rail>span{color: #FFF;font-size: var(--font-size-14);font-weight: 400;white-space: nowrap;}

.siteMap-rail-wrap.open{opacity: 1;z-index: 1;transition: opacity 2s ease;}

/*site map bg*/
#siteMap-bg{position: fixed;top: 0;left: 0;right: auto;width: 0;height: 100%;z-index: 700;background-color: #000;transition: width 1.2s cubic-bezier(0.23, 1, 0.32, 1);}
#siteMap-bg.open{width: 100%;right: 0;left: auto;}

#siteMap-under{position: fixed;top: 0;left: 0;width: 0;height: 100%;z-index: 600;background-color: rgba(0,0,0,.7);opacity: 0;transition: opacity 1s cubic-bezier(0.23, 1, 0.32, 1);}
#siteMap-under.open{width: 100%;opacity: 1;}

/*open motion*/
.siteMap-info, .siteMap-menu{transform: translateX(100px);opacity: 0;}
#siteMap-wrap.open .siteMap-info, #siteMap-wrap.open .siteMap-menu{transform: translateX(0);opacity: 1;transition: all 1s ease;}

#siteMap-wrap.open .siteMap-gnb>ul>li>a>i{transform: translateY(0);transition: transform .65s ease;}
#siteMap-wrap.open .siteMap-gnb>ul>li:nth-child(1)>a>i{transition-delay: .3s;}
#siteMap-wrap.open .siteMap-gnb>ul>li:nth-child(2)>a>i{transition-delay: .5s;}
#siteMap-wrap.open .siteMap-gnb>ul>li:nth-child(3)>a>i{transition-delay: .7s;}
#siteMap-wrap.open .siteMap-gnb>ul>li:nth-child(4)>a>i{transition-delay: .9s;}
#siteMap-wrap.open .siteMap-gnb>ul>li:nth-child(5)>a>i{transition-delay: 1.1s;}

@media screen and (max-width: 1480px){

	#header{height: 90px;}

	.hd-gnb>ul>li>a{padding: 0 20px;}

	/*site map*/
	.siteMap-flex{max-width: 760px;}
	.siteMap-gnb>ul>li>a{font-size: 5rem;line-height: 125%;}
	.siteMap-gnb>ul>li>a::before{top: 13px;width: 40px;height: 40px;}
	.siteMap-gnb>ul>li:hover>a{padding-left: 25px;}

	.siteMap-rail-wrap{height: 90px;margin-left: 20px;}
	.siteMap-rail{gap: 20px;}

	.siteMap-menu>ul::before{top: 4px;width: 1px;height: 8px;}
	.siteMap-menu>ul>li>a{padding: 0 8px;}
	.siteMap-menu>ul>li>a::after{top: 4px;width: 1px;height: 8px;}

	.siteMap-copy{margin-top: 8px;}
}

@media screen and (max-width: 1080px){

	#header{height: 80px;}

	/*site map*/
	.siteMap-rail-wrap{height: 80px;}
}

@media screen and (max-width: 960px){

	.hd-gnb{display: none;}
}

@media screen and (max-width: 720px){

	#header{height: 60px;}

	.hd-logo img{max-width: 95px;}

	/*site map*/
	.siteMap-inner{display: block;padding-top: 160px;}
	.siteMap-flex{display: block;}

	.siteMap-gnb>ul>li>a{font-size: 55px;line-height: 130%;}

	.siteMap-rail-wrap{height: 60px;}
	.siteMap-rail{gap: 10px;
		-webkit-animation: text-to-left 10s linear infinite;
		animation: text-to-left 10s linear infinite;
	}
	.siteMap-rail>span{font-size: 13px;font-weight: 300;}

	.siteMap-menu{left: 5%;bottom: 3%;}
	.siteMap-menu>ul{display: block;}
	.siteMap-menu>ul::before{display: none;}
	.siteMap-menu>ul>li>a{font-size: 14px;color: #FFF !important;padding: 6px 0;}
	.siteMap-menu>ul>li>a::after{display: none;}

	.siteMap-box{display: none;}

	.siteMap-copy{font-size: 12px;}

	/*site map bg*/
	#siteMap-bg{transition: width 1s cubic-bezier(0.23, 1, 0.32, 1);}
	#siteMap-under{transition: opacity .6s cubic-bezier(0.23, 1, 0.32, 1);}
}

/*-- mainVisual --*/
#mainVisual{position: fixed;top: 0;left: 0;width: 100%;height: 100vh;z-index: 1;}
#mainVisual::after{content: '';position: absolute;top: 0;left: 0;width: 100%;height: 100%;background-color: rgba(0,0,0,.1);z-index: 5;}
#mainVisual.blind::after{background-color: rgba(0,0,0,1);}

.video-wrap{position: absolute;top: 0;left: 0;width: 100%;height: 100%;z-index: 1;}
.video-wrap video{display: block;width: 100%;height: 100%;pointer-events: none;object-fit: cover;}

/*-- section-1 --*/
#section-1{padding-bottom: 250px;position: relative;}
#section-1::after{content: '';position: absolute;bottom: 0;left: 50%;transform: translateX(-50%);width: 120%;height: 1px;background-color: rgba(255,255,255,.2);z-index: 1;}

#section-1>.code-deco{justify-content: center;position: absolute;bottom: -10px;left: 0;width: 100%;}

@media screen and (max-width: 960px){

	#section-1{padding-bottom: 150px;}
}

/*-- section-2 --*/
.section-2-box{display: flex;align-items: center;}
.section-2-box>h4{font-size: var(--font-size-100);font-weight: var(--font-weight-400);color: #FFF;line-height: .9;white-space: nowrap;}

.video-box{height: 125px;border-radius: 125px;background-color: #000;overflow: hidden;position: relative;}
.video-box video{position: absolute;top: 50%;left: 50%;transform: translate(-50%,-50%);width: 150%;z-index: 1;}

.section-2-top{gap: 150px;margin-bottom: 50px;transform: translateX(10%);}
.section-2-top .video-box{width: 40.4vw;}
.section-2-top .video-box video{left: 60%;}

.section-2-btm{flex-direction: row-reverse;gap: 60px;transform: translateX(-10%);}
.section-2-btm .video-box{width: 20.9vw;}

.section-2-3rd{gap: 100px;margin-top: 50px;transform: translateX(20%);}
.section-2-3rd .video-box{width: 30vw;}

.section-2-text{margin-top: 45px;}
.section-2-text p{font-size: var(--font-size-26);line-height: 195%;color: #FFF;margin-bottom: 45px;}

@media screen and (max-width: 1480px){

	.section-2-top{gap: 100px;margin-bottom: 40px;}
	.section-2-btm{gap: 40px;}
	.section-2-3rd{gap: 60px;margin-top: 40px;}
}

@media screen and (max-width: 1280px){

	.section-2-top{gap: 80px;margin-bottom: 30px;}
	.section-2-btm{gap: 20px;}
	.section-2-3rd{gap: 40px;margin-top: 30px;}
}

@media screen and (max-width: 1080px){

	.section-2-top{gap: 30px;}
	.section-2-btm{gap: 10px;}
	.section-2-3rd{gap: 20px;}

	.section-2-top .video-box{width: 800px;}
	.section-2-btm .video-box{width: 600px;}
	.section-2-3rd .video-box{width: 700px;}
}

@media screen and (max-width: 960px){

	.section-2-box{display: block;}
	.section-2-box>h4{margin-bottom: 30px;font-size: 65px;}

	.video-box{height: 100px;}
	.section-2-top .video-box{width: 80%;}
	.section-2-btm .video-box{width: 60%;}
	.section-2-3rd .video-box{width: 100%;}

	.section-2-text{margin-top: 40px;}
	.section-2-text p{word-break: keep-all;margin-bottom: 35px;}
}

@media screen and (max-width: 720px){

	.section-2-box>h4{margin-bottom: 20px;font-size: 45px;line-height: 110%;}
	.section-2-top{margin-bottom: 30px;transform: translateX(60%);}
	.section-2-btm{transform: translateX(-80%);}

	.video-box{height: 70px;}
	.section-2-top .video-box{width: 90%;}
	.section-2-btm .video-box{width: 70%;}

	.section-2-text p{font-size: 16px;}
}

/*-- section-3 --*/
.port-title-wrap{display: flex;align-items: flex-end;justify-content: space-between;}

.port-title{display: flex;align-items: flex-end;gap: 110px;}
.port-title>span{font-size: var(--font-size-420);color: #FFF;line-height: .62;letter-spacing: -0.1em;font-style: italic;margin-left: -24px;}

.port-title-inner>h4{font-size: var(--font-size-100);font-weight: var(--font-weight-400);color: #FFF;line-height: 100%;margin-top: 8px;}

@media screen and (max-width: 1920px){

	.port-title{gap: 90px;}
}

@media screen and (max-width: 1860px){

	.port-title-wrap{display: block;}
	.port-title{margin-bottom: 150px;}
}

@media screen and (max-width: 1680px){

	.port-title{display: block;}
	.port-title-inner{margin-top: 60px;}
}

@media screen and (max-width: 1480px){

	.port-title{margin-bottom: 120px;}
}

@media screen and (max-width: 1280px){

	.port-title{margin-bottom: 100px;}
}

@media screen and (max-width: 960px){

	.port-title>span{font-size: 280px;margin-left: -15px;}

	.port-title-inner>h4{font-size: 65px;line-height: 120%;}
}

@media screen and (max-width: 720px){

	.port-title{margin-bottom: 70px;}
	.port-title>span{font-size: 180px;margin-left: -10px;}

	.port-title-inner{margin-top: 40px;}
	.port-title-inner>h4{font-size: 33px;line-height: 120%;}
}

/*-- section-4 --*/
#section-4{position: relative;}
#section-4 .common-link-wrap{justify-content: space-between;align-items: flex-end;}
#section-4::before{content: '';position: absolute;top: 0;left: 50%;transform: translateX(-50%);width: 120%;height: 1px;background-color: rgba(255, 255, 255, .2);z-index: 1;}

.scroll-line{content: '';position: absolute;top: 0;left: -5%;width: 0;height: 1px;background-color: #FFF;z-index: 5;}

.story-list-wrap{margin-top: 100px;}

.story-list{border-top: 1px solid #FFF;}
.story-list>li{position: relative;}
.story-list>li>a{display: flex;align-items: center;justify-content: space-between;width: 100%;height: 100%;padding: 58px 0;border-bottom: 1px solid #333;}
.story-list>li>a::before{content: "";position: absolute;top: 0;left: 0;width: 0;height: 100%;background-color: var(--color-1);
	-webkit-transition: width .6s cubic-bezier(0.770, 0.000, 0.175, 1.000);
	transition: width .6s cubic-bezier(0.770, 0.000, 0.175, 1.000);
}

.story-lft, .story-rgt{position: relative;z-index: 10;}
.story-lft{display: flex;align-items: center;gap: 155px;transition: padding .4s ease;}
.story-lft h4{font-size: var(--font-size-36);font-weight: var(--font-weight-600);color: #FFF;}
.story-lft span{width: 171px;height: 53px;line-height: 51px;border-radius: 53px;border: 1px solid rgba(255,255,255,.35);font-size: var(--font-size-20);font-weight: var(--font-weight-400);color: rgba(255,255,255,.35);text-align: center;}

.story-rgt{transition: padding .4s ease;}
.story-rgt span{font-size: var(--font-size-20);font-weight: var(--font-weight-400);color: rgba(255,255,255,.35);}

.story-list>li:hover .story-lft{padding-left: 5%;}
.story-list>li:hover .story-rgt{padding-right: 5%;}
.story-list>li:hover>a::before{width: 100%;}
.story-list>li:hover span{color: #FFF;border-color: #FFF;}

@media screen and (max-width: 1480px){

	.story-lft{gap: 40px;}
	.story-lft span{width: 150px;height: 50px;line-height: 48px;}
}

@media screen and (max-width: 960px){

	.story-list>li>a{display: block;padding: 40px 0;}

	.story-lft h4{font-size: 26px;}

	.story-rgt{display: none;}
}

@media screen and (max-width: 1080px){

	#section-4{padding-bottom: 0;}
}

@media screen and (max-width: 720px){

	#section-4 .main-title h4{font-size: 33px;line-height: 120%;}
	#section-4 .main-title p{margin-top: 30px;}

	#section-4 .common-link-wrap{flex-direction: column;align-items: flex-start;}
	#section-4 .common-link-wrap a{margin-bottom: 100px;}

	.story-list-wrap{margin-top: 25px;}

	.story-list>li>a{padding: 30px 0;}

	.story-lft{gap: 20px;}
	.story-lft h4{font-size: 18px;white-space: nowrap;overflow: hidden;text-overflow: ellipsis;}
	.story-lft span{width: 145px;font-size: 13px;height: 40px;line-height: 38px;border-radius: 38px;}
}

/*-- section-5 --*/
#section-5{padding: 0;}

.view-three{width: 100%;height: 100vh;position: relative;}
#canvas{position: absolute;top: 0;left: 50%;transform: translateX(-50%);width: 100%;;z-index: 10;}

#section-5 .code-deco{position: absolute;left: 50%;transform: translate(-50%, -50%);z-index: 1;white-space: nowrap;}
#section-5 .code-deco_1{top: 21%;}
#section-5 .code-deco_2{bottom: 13%;opacity: .3;}

@media screen and (max-width: 960px){

	#section-5 .code-deco_1{top: 35%;}
	#section-5 .code-deco_2{bottom: 30%;}
}

@media screen and (max-width: 720px){

	#section-5 .code-deco_1{top: 40%;}
	#section-5 .code-deco_2{bottom: 35%;}
}

/*-- inquiry-box --*/
#inquiry{background-color: #000;position: relative;z-index: 100;padding-bottom: 150px;}
#inquiry>.common-container{position: relative;z-index: 10;}
.inquiry-box>h4{font-size: var(--font-size-80);font-weight: var(--font-weight-500);color: #FFF;line-height: 125%;margin-bottom: 34px;}

.block-wrap{position: absolute;top: 0;right: 0;width: 100%;height: 100%;z-index: 1;overflow: hidden;}
.block-wrap::after{content: "";position: absolute;top: 0;left: 0;width: 100%;height: 50%;
	background: linear-gradient(to bottom, rgba(0,0,0,.9), transparent 90%);
}

#matter{height: 100%;}
#matter canvas{height: 100%;}

@media screen and (max-width: 960px){

	.inquiry-box>h4{font-size: 65px;}
}

@media screen and (max-width: 720px){

	#inquiry{padding-bottom: 200px;padding-top: 0;}

	.inquiry-box>h4{font-size: 33px;}

	.block-wrap::after{height: 100%;
		background: linear-gradient(to bottom, rgba(0,0,0,.9), transparent 90%);
	}
}

/*-- footer --*/
#footer{background-color: #000;position: relative;z-index: 100;padding: 75px 0;overflow: hidden;}
#footer::before{content: '';position: absolute;top: 0;left: 50%;transform: translateX(-50%);width: 120%;height: 1px;background-color: rgba(255,255,255,1);z-index: 1;}
#footer .info-wrap{margin: 0 !important;}
#footer .info-rgt{transform: translateY(0);opacity: 1;}

.ft-logo-wrap{display: flex;justify-content: space-between;align-items: flex-end;margin-bottom: 41px;}
.ft-logo-wrap .code-deco{opacity: .4;}

.ft-logo a{display: block;width: 100%;height: 100%;font-size: var(--font-size-24);color: #FFF;font-weight: 500;letter-spacing: 0.045em;}
.ft-logo img{display: block;}

#footer .info-box p, #footer .info-copy{opacity: .5;}

@media screen and (max-width: 720px){

	#footer{padding: 50px 0;}

	.ft-logo img{max-width: 95px;}
}

/*-- cursor --*/
#cursor{position: absolute;z-index: 2000;width: 180px;height: 40px;border-radius: 40px;overflow: hidden;display: none;
	background-color: rgba(0, 0, 0, .5);
    backdrop-filter: blur(15px);
}

#rail-wrap{display: flex;align-items: center;height: 100%;
	-webkit-animation: text-to-left 8s linear infinite;
	animation: text-to-left 8s linear infinite;
}
#rail-wrap>span{color: #FFF;font-size: 13px;font-weight: 500;white-space: nowrap;padding-right: 15px;}

@keyframes text-to-left{

	0%{transform: translateX(0%);}
	100%{transform: translateX(-50%);}
}

@-webkit-keyframes text-to-left{

	0%{transform: translateX(0%);}
	100%{transform: translateX(-50%);}
}

@media screen and (max-width: 1480px){

	#cursor{width: 150px;height: 35px;}

	#rail-wrap>span{font-size: 12px;padding-right: 13px;}
}

@media screen and (max-width: 720px){

	#cursor{display: none !important;}
}

/*-- right quick --*/
#right-quick{position: fixed;bottom: 4%;right: 2.5%;z-index: 1100;opacity: 0;transition: opacity .4s ease;}
#right-quick.on{opacity: 1;}
#right-quick.open{opacity: 1 !important;}

.contact-quick{display: block;width: 240px;height: 75px;line-height: 75px;border-radius: 70px;font-size: var(--font-size-24);background-color: var(--color-1);color: #FFF;overflow: hidden;font-weight: 500;position: relative;}

.contact-rail{display: flex;align-items: center;gap: 15px;width: 2400px;height: 100%;
	-webkit-animation: text-to-left 15s linear infinite;
	animation: text-to-left 15s linear infinite;
}
.contact-rail span{font-weight: var(--font-weight-700);line-height: 75px;white-space: nowrap;}

@media screen and (max-width: 1480px){

	.contact-quick{width: 200px;height: 60px;line-height: 60px;font-size: var(--font-size-20);}
	.contact-rail{width: 2000px;}
}

@media screen and (max-width: 1080px){

	.contact-quick{transform: none !important;}
}

@media screen and (max-width: 720px){

	#right-quick{bottom: 3%;right: 5%;}

	.contact-quick{width: 125px;height: 45px;line-height: 45px;font-size: 14px;}
	.contact-rail{width: 1250px;}
}

/*-- 포트폴리오 리스트 변환 --*/
.port-board-change{flex-direction: column;flex-wrap: nowrap;gap: 0 !important;border-top: 1px solid #FFF;}
.port-board-change>li{width: 100% !important;border-bottom: 1px solid #FFF;overflow: hidden;}
.port-board-change>li figure{position: absolute;top: 50%;right: -25px;transform: translateY(-50%);width: 600px;height: 600px !important;padding: 0 !important;border-radius: 0 !important;z-index: 1000;opacity: 0;transition: all .45s ease-in-out;}

.port-board-change>li .port-text{display: flex;align-items: center;justify-content: space-between;position: relative;bottom: auto;left: auto;width: 100%;line-height: 166px;}
.port-board-change>li .port-text h4{font-size: var(--font-size-80);}
.port-board-change>li .port-text h4 span{opacity: 1;} 
.port-board-change>li .port-text h4 i::after{display: none;}
.port-board-change>li .port-text p{font-size: var(--font-size-45);margin-top: 0;}
.port-board-change>li .port-text p span::after{display: none;}

.port-board-change>li:hover figure{right: 0;opacity: 1;}

.port-text>div>span{display: none;}
.port-board-change .port-text>div{display: flex;align-items: center;gap: 150px;}
.port-board-change .port-text>div>span{display: block;width: 200px;font-size: var(--font-size-80);font-weight: 600;color: #FFF;}

@media screen and (max-width: 1920px){

	.port-board-change>li .port-text h4, .port-board-change .port-text>div>span{font-size: var(--font-size-60);}
	.port-board-change>li .port-text p{font-size: var(--font-size-40);}
	.port-board-change .port-text>div>span{width: 150px;}
}

@media screen and (max-width: 1480px){
	
	.port-board-change>li figure{width: 400px;height: 400px !important;}

	.port-board-change>li .port-text{line-height: 150px;}

	.port-board-change .port-text>div{gap: 100px;}
	.port-board-change .port-text>div>span{width: 100px;}
}

@media screen and (max-width: 1080px){

	.port-board-change>li{border-radius: 0;}
	.port-board-change>li figure{width: 350px;height: 350px !important;}

	.port-board-change>li .port-text h4, .port-board-change .port-text>div>span{font-size: var(--font-size-40);}
	.port-board-change>li .port-text p{font-size: var(--font-size-26);}

	.port-board-change>li .port-text{line-height: 100px;}

	.port-board-change .port-text>div{gap: 60px;}
	.port-board-change .port-text>div>span{width: 60px;}
}

@media screen and (max-width: 720px){

	.port-board-change>li .port-text h4, .port-board-change .port-text>div>span{font-size: 20px;}
	.port-board-change>li .port-text p{font-size: 20px;}

	.port-board-change>li figure{display: none;}
	.port-board-change>li .port-text{line-height: 70px;}

	.port-board-change .port-text>div{gap: 0;}
	.port-board-change .port-text>div>span{width: 60px;}
}